Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.traceAnalysis.filter.visualization.graph
Class AbstractEdge<V extends AbstractVertex<V,E,O>,E extends AbstractEdge<V,E,O>,O>

    java.lang.Object
      kieker.tools.traceAnalysis.filter.visualization.graph.AbstractGraphElement<O>
          kieker.tools.traceAnalysis.filter.visualization.graph.AbstractEdge<V,E,O>

Type Parameters:
  `V` - The type of the graph's vertices
  `E` - The type of the graph's edges
  `O` - The type of object from which the graph's elements originate

Direct Known Subclasses:
  AbstractWeightedEdge

    public abstract class AbstractEdge<V extends AbstractVertex<V,E,O>,E extends AbstractEdge<V,E,O>,O>

extends AbstractGraphElement<O>

Generic superclass for all graph edges in the visualization package.

Since:
  1.6
Author:
  Holger Knoche

Constructor Summary
`AbstractEdge(V source, V target, O origin, IOriginRetentionPolicy originPolicy)` Creates a new edge between the given vertices.

Method Summary
`String` | `getIdentifier()` Returns an identifier for this graph element (e.g., a label).
`V` | `getSource()` Returns the source of this edge.
`V` | `getTarget()` Returns the target of this edge.

Methods inherited from class kieker.tools.traceAnalysis.filter.visualization.graph.AbstractGraphElement
`addOrigin, getColor, getDescription, getOrigins, setColor, setDescription`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractEdge

    public AbstractEdge(V source,
                        V target,
                        O origin,
                        IOriginRetentionPolicy originPolicy)

  Creates a new edge between the given vertices.

  Parameters:
    `source` - The source vertex of the edge
    `target` - The target vertex of the edge
    `origin` - The origin of the edge
    `originPolicy` - The origin policy to use

Method Detail

### getSource

    public V getSource()

  Returns the source of this edge.

  Returns:
    See above

### getTarget

    public V getTarget()

  Returns the target of this edge.

  Returns:
    See above

### getIdentifier

    public String getIdentifier()

  Description copied from class: `AbstractGraphElement`
  Returns an identifier for this graph element (e.g., a label).

  Specified by:
    `getIdentifier` in class `AbstractGraphElement<O>`
  Returns:
    An identifier or `null` if no identifier can be determined

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net